<?php
/**
 * @package SJ Slick Slider for  HikaShop
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 */

defined('_JEXEC') or die;

!defined('DS') && define('DS', DIRECTORY_SEPARATOR);

$hkshop_helper = rtrim(JPATH_ADMINISTRATOR, DS) . DS . 'components' . DS . 'com_hikashop' . DS . 'helpers' . DS . 'helper.php';

if (file_exists($hkshop_helper)) {
	!class_exists('hikashop') && require_once $hkshop_helper;
} else {
	echo JText::_('WARNING_LABEL');
	return;
}

require_once dirname(__FILE__) . '/core/helper.php';

$layout = $params->get('layout', 'default');
$cacheid = md5(serialize(array($layout, $module->id)));
$cacheparams = new stdClass;
$cacheparams->cachemode = 'id';
$cacheparams->class = 'HKSlickSliderHelper';
$cacheparams->method = 'getList';
$cacheparams->methodparams = $params;
$cacheparams->modeparams = $cacheid;
$list = JModuleHelper::moduleCache($module, $params, $cacheparams);
if (!empty($list)) {
	require JModuleHelper::getLayoutPath($module->module, $layout);
} else {
	echo JText::_('Has no content to show!');
}